## org.h2.test.db
Class Task

    java.lang.Object
      org.h2.test.db.Task

    public abstract class Task

extends java.lang.Object

A task that can be run as a separate process.

Constructor Summary
`Task()`

Method Summary
`static void` `main(java.lang.String... args)` Run the class.
`protected java.lang.String` `receive()` Receive a message from the process over the standard output.
`protected void` `send(java.lang.String message)` Send a message to the process over the standard input.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Task

    public Task()

Method Detail

### main

    public static void main(java.lang.String... args)

  Run the class. This method is called by the task framework, and should not be called directly from the application.

  Parameters:
    `args` - the command line arguments

### receive

    protected java.lang.String receive()

  Receive a message from the process over the standard output.

  Returns:
    the message

### send

    protected void send(java.lang.String message)

  Send a message to the process over the standard input.

  Parameters:
    `message` - the message